<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <meta name="format-detection" content="telephone=no" />
        <meta name="msapplication-tap-highlight" content="no" />
        <!-- WARNING: for iOS 7, remove the width=device-width and height=device-height attributes. See https://issues.apache.org/jira/browse/CB-4323 -->
        <meta name="viewport" content="user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1, width=device-width, height=device-height, target-densitydpi=device-dpi" />
        <link href="theme/css/AdminLTE.css" rel="stylesheet" type="text/css" />
        <link rel="stylesheet" type="text/css" href="../bootstrap/css/bootstrap.min.css" />
        <link rel="stylesheet" type="text/css" href="css/style.css" />
        <link href="theme/fonts/css/font-awesome.min.css" rel="stylesheet">
        <link rel="stylesheet" type="text/css" href="theme/css/custom.css" />
        <script type="text/javascript" src="../js/jquery-1.11.2.min.js"></script>
        <script type="text/javascript" src="../bootstrap/js/bootstrap.min.js"></script>
        <script type="text/javascript" src="../js/url.js"></script>

        <title>Thought For The Day</title>
    </head>
    <body class="nav-md">
        <div class="container body">
            <div class="main_container">
                <div class="col-md-12" style="margin:50px 0 0 0; width:100%">
                    <section class="">
                        <div class="row">
                            <ul class="timeline" id="thoughts"></ul>
                        </div>
                    </section>
                </div>
            </div>
        </div>
        <div style="height:20px"></div>
        <!-- Loader -->
        <div class="fader">
            <div class="loader"></div>
        </div>

        <script>
            var thoughts;
            function showThought(thoughts) {
                $("#thoughts").empty();
                for (var t = 0; t < thoughts.length; t++) {
                    var date = "" + thoughts[t].datetime;
                    date = date.split(" ");
                    var date = $("<li class='time-label'><span class='bg-red'>" + date[0] + "</span></li>");
                    $("#thoughts").append(date);
                    var detailsF =
                            "<li><i class=''>"
                            + "</i><div class='timeline-item'><span class='time'>"
                            + "</span><h3 class='timeline-header'><a href='#''>"
                            + thoughts[t].title + "</a> </h3><div class='timeline-body'>"
                            + thoughts[t].message;

                    var pics = thoughts[t].photos;
                    if (pics) {
                        pics = pics.split(",");
                        var placeholder = "<p style='width:90%;display:inline-block'>";
                        for (var i = 0; i < pics.length; i++) {
                            placeholder += "<a style='width:30%;float:left' href=" + pics[i] + "><img width='100%' src=" + pics[i] + " </img></a>";
                        }
                        placeholder += "</p>";
                        detailsF += placeholder;
                    }
                    detailsF = detailsF + "</div><div class='timeline-footer'><a class='btn btn-primary btn-xs'>"
                            + thoughts[t].name + "</a>"
                    $("#thoughts").append($(detailsF));
                }
            }

            function showDate(value) {
                var data = new Date(value);
                var month = data.getMonth() + 1;
                var day = data.getDate();
                var ret = (('' + day).length < 2 ? '0' : '') + day + "-" + (('' + month).length < 2 ? '0' : '') + month + "-" + data.getFullYear();
                return ret;
            }
            function getThought() {
                showLoader();
                $.ajax({
                    type: "GET",
                    dataType: 'json',
                    url: getUrl(api.GET_THOUGHT_URL)
                }).done(function (response) {
                    hideLoader();
                    showThought(response);
                }).fail(function (jqXHR, textStatus, errorThrown) {
                    hideLoader();
                    alert("Server failed");
                })
                        .always(function (jqXHROrData, textStatus, jqXHROrErrorThrown) {});
            }
            $(function () {
                $("#sidemenu_section").load("side_menu.html");
                getThought();
                //readThought();

            });
            function showLoader() {
                $(".fader").show();
                $(".loader").show();
            }
            function hideLoader() {
                $(".fader").hide();
                $(".loader").hide();
            }

        </script>
    </body>
</html>



